org.eclipse.jetty.http

## Class HttpParser.EventHandler

- java.lang.Object
- - org.eclipse.jetty.http.HttpParser.EventHandler

Enclosing class:
  HttpParser

    public abstract static class HttpParser.EventHandler
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HttpParser.EventHandler()`

### Method Summary

Methods
`abstract void` `content(Buffer ref)`
`void` `earlyEOF()`
`void` `headerComplete()`
`void` `messageComplete(long contentLength)`
`void` `parsedHeader(Buffer name, Buffer value)` This is the method called by parser when a HTTP Header name and value is found
`abstract void` `startRequest(Buffer method, Buffer url, Buffer version)` This is the method called by parser when the HTTP request line is parsed
`abstract void` `startResponse(Buffer version, int status, Buffer reason)` This is the method called by parser when the HTTP request line is parsed

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpParser.EventHandler

    public HttpParser.EventHandler()

### Method Detail

#### content

    public abstract void content(Buffer ref)
                          throws IOException

Throws:
  `IOException`

#### headerComplete

    public void headerComplete()
                        throws IOException

Throws:
  `IOException`

#### messageComplete

    public void messageComplete(long contentLength)
                         throws IOException

Throws:
  `IOException`

#### parsedHeader

    public void parsedHeader(Buffer name,
                    Buffer value)
                      throws IOException

This is the method called by parser when a HTTP Header name and value is found

Throws:
  `IOException`

#### startRequest

    public abstract void startRequest(Buffer method,
                    Buffer url,
                    Buffer version)
                               throws IOException

This is the method called by parser when the HTTP request line is parsed

Throws:
  `IOException`

#### startResponse

    public abstract void startResponse(Buffer version,
                     int status,
                     Buffer reason)
                                throws IOException

This is the method called by parser when the HTTP request line is parsed

Throws:
  `IOException`

#### earlyEOF

    public void earlyEOF()